using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Diagnostics;

namespace Benday.Timesheet.Presentation
{
    public class NameValuePairViewModel<T> : ViewModelBase
    {
        public NameValuePairViewModel()
        {

        }

        private int m_id;
        public int Id
        {
            get
            {
                return m_id;
            }
            set
            {
                m_id = value;
                PropertyChangedHandler("Id");
            }
        }


        private T m_value;
        public T Value
        {
            get
            {
                return m_value;
            }
            set
            {
                m_value = value;
                PropertyChangedHandler("Value");
            }
        }

    }
}
