using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace Benday.Timesheet.Presentation
{
    public class TimesheetEditorWeeksViewModelCollection : ObservableCollection<TimesheetEditorTaskWeekViewModel>, INotifyPropertyChanged
    {
        public TimesheetEditorWeeksViewModelCollection()
        {

        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void PropertyChangedHandler(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
